API Test Keys

Fetch All Account Validation Transactions

GET
/v1/fund_accounts/validations?account_number={account number}

Click to copy

Use this endpoint to retrieve the details of all Fund Account Validation transactions you have made.

Is this page helpful?

Curl

1
curl -u <YOUR_KEY>:<YOUR_SECRET> \
2
-X GET https://api.razorpay.com/v1/fund_accounts/validations?account_number=7878780080316316

Success

1
{
2
"entity":"collection",
3
"count":2,
4
"items":[
5
{
6
"id": "fav_00000000000001",
7
"entity": "fund_account.validation",
8
"fund_account":{
9
"id": "fa_00000000000001",
10
"entity": "fund_account",
11
"contact_id":"cont_00000000000001",
12
"account_type": "bank_account",
13
"bank_account":{
14
"name": "Gaurav Kumar",
15
"bank_name": "HDFC",
16
"ifsc": "HDFC0000053",
17
"account_number": "765432123456789"
18
},
19
"batch_id": null,
20
"active": true,
21
"created_at": 1567064019
22
},
23
"status": "completed",
24
"amount": 100,
25
"currency": "INR",
26
"notes":{
27
"random_key_1": "Make it so.",
28
"random_key_2": "Tea. Earl Grey. Hot."
29
},
30
"results":{
31
"account_status": "active",
32
"registered_name": "Gaurav Kumar"
33
},
34
"created_at": 1547566278,
35
"utr": "XXXXR7310682908954385XX"
36
},
37
{
38
"id":"fav_00000000000002",
39
"entity":"fund_account.validation",
40
"fund_account":{
41
"id":"fa_00000000000002",
42
"entity":"fund_account",
43
"contact_id":"cont_00000000000001",
44
"account_type":"vpa",
45
"vpa":{
46
"username": "gaurav.kumar",
47
"handle": "exampleupi",
48
"address":"gaurav.kumar@exampleupi"
49
},
50
"batch_id": null,
51
"active":true,
52
"created_at":1573110860
53
},
54
"status":"completed",
55
"amount":null,
56
"currency":null,
57
"notes":{
58
"random_key_1":"Make it so.",
59
"random_key_2":"Tea. Earl Grey. Hot."
60
},
61
"results":{
62
"account_status":"active",
63
"registered_name":"Gaurav Kumar"
64
},
65
"created_at":1574244676,
66
"utr": null
67
}
68
]
69
}
Query Parameters
account_number

*

string

The account that was used to debit money for validation transaction.
Account details can be found on the RazorpayX Dashboard. For example, 7878780080316316.

  • Pass your Customer Identifier (RazorpayX Lite number) if money was deducted from RazorpayX Lite.
  • This is an alphanumeric or numeric value.

from
integer

Timestamp in Unix from when you want to fetch payouts.

to
integer

Timestamp in Unix till when you want to fetch payouts.

count
integer

Number of payouts to be fetched. Default value is 10. Maximum value is 100. This can be used for pagination, in combination with skip.

skip
integer

Numbers of payouts to be skipped. Default value is 0. This can be used for pagination, in combination with count.

Response Parameters
id
string

The unique identifier linked to the fund account validation. For example, fav_0000000001.

entity
string

Here it is fund_account.validation.

status
string

The status of the account validation transaction. Possible values:

  • created
  • completed
  • failed

validation_results
object

Details extracted from the results of the fund account validation.

Show child parameters (4)

validated_account_type
string

Here it is bank_account.

Show child parameters (1)

status_details
object

Status of the fund account validation.

Show child parameters (3)

reference_id
string

Unique reference_id generated for the validation transaction.

fund_account
object

The details of the fund account which was validated.

Show child parameters (3)

vpa
object

The details associated with the account holder's virtual payment address.

Show child parameters (1)

active
boolean

Possible values of fund account status:

  • true: active
  • false: inactive

created_at
integer

Timestamp, in unix, when the fund account was created. For example, 1543650891.

contact
object

The contact's details.

Show child parameters (8)

Fetch All Account Validation Transactions

GET
/v1/fund_accounts/validations?account_number={account number}

Click to copy

Use this endpoint to retrieve the details of all Fund Account Validation transactions you have made.

Is this page helpful?

Query Parameters
account_number

*

string

The account that was used to debit money for validation transaction.
Account details can be found on the RazorpayX Dashboard. For example, 7878780080316316.

  • Pass your Customer Identifier (RazorpayX Lite number) if money was deducted from RazorpayX Lite.
  • This is an alphanumeric or numeric value.

from
integer

Timestamp in Unix from when you want to fetch payouts.

to
integer

Timestamp in Unix till when you want to fetch payouts.

count
integer

Number of payouts to be fetched. Default value is 10. Maximum value is 100. This can be used for pagination, in combination with skip.

skip
integer

Numbers of payouts to be skipped. Default value is 0. This can be used for pagination, in combination with count.

Response Parameters
id
string

The unique identifier linked to the fund account validation. For example, fav_0000000001.

entity
string

Here it is fund_account.validation.

status
string

The status of the account validation transaction. Possible values:

  • created
  • completed
  • failed

validation_results
object

Details extracted from the results of the fund account validation.

Show child parameters (4)

validated_account_type
string

Here it is bank_account.

Show child parameters (1)

status_details
object

Status of the fund account validation.

Show child parameters (3)

reference_id
string

Unique reference_id generated for the validation transaction.

fund_account
object

The details of the fund account which was validated.

Show child parameters (3)

vpa
object

The details associated with the account holder's virtual payment address.

Show child parameters (1)

active
boolean

Possible values of fund account status:

  • true: active
  • false: inactive

created_at
integer

Timestamp, in unix, when the fund account was created. For example, 1543650891.

contact
object

The contact's details.

Show child parameters (8)

Curl

1
curl -u <YOUR_KEY>:<YOUR_SECRET> \
2
-X GET https://api.razorpay.com/v1/fund_accounts/validations?account_number=7878780080316316

Success

1
{
2
"entity":"collection",
3
"count":2,
4
"items":[
5
{
6
"id": "fav_00000000000001",
7
"entity": "fund_account.validation",
8
"fund_account":{
9
"id": "fa_00000000000001",
10
"entity": "fund_account",
11
"contact_id":"cont_00000000000001",
12
"account_type": "bank_account",
13
"bank_account":{
14
"name": "Gaurav Kumar",
15
"bank_name": "HDFC",
16
"ifsc": "HDFC0000053",
17
"account_number": "765432123456789"
18
},
19
"batch_id": null,
20
"active": true,
21
"created_at": 1567064019
22
},
23
"status": "completed",
24
"amount": 100,
25
"currency": "INR",
26
"notes":{
27
"random_key_1": "Make it so.",
28
"random_key_2": "Tea. Earl Grey. Hot."
29
},
30
"results":{
31
"account_status": "active",
32
"registered_name": "Gaurav Kumar"
33
},
34
"created_at": 1547566278,
35
"utr": "XXXXR7310682908954385XX"
36
},
37
{
38
"id":"fav_00000000000002",
39
"entity":"fund_account.validation",
40
"fund_account":{
41
"id":"fa_00000000000002",
42
"entity":"fund_account",
43
"contact_id":"cont_00000000000001",
44
"account_type":"vpa",
45
"vpa":{
46
"username": "gaurav.kumar",
47
"handle": "exampleupi",
48
"address":"gaurav.kumar@exampleupi"
49
},
50
"batch_id": null,
51
"active":true,
52
"created_at":1573110860
53
},
54
"status":"completed",
55
"amount":null,
56
"currency":null,
57
"notes":{
58
"random_key_1":"Make it so.",
59
"random_key_2":"Tea. Earl Grey. Hot."
60
},
61
"results":{
62
"account_status":"active",
63
"registered_name":"Gaurav Kumar"
64
},
65
"created_at":1574244676,
66
"utr": null
67
}
68
]
69
}